Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.xml
Class XMLOrderBuilder

    java.lang.Object
      |
      +--de.ix.jspTutorial.xml.XMLOrderBuilder

public class XMLOrderBuilder
extends java.lang.Object
implements XMLConstants

Fields inherited from interface de.ix.jspTutorial.constants.XMLConstants
`XML_ADDRESS1_TAG, XML_ADDRESS2_TAG, XML_CUSTOMER_TAG, XML_DESCRIPTION_TAG, XML_EMAIL_TAG, XML_FIRSTNAME_TAG, XML_INGREDIENT_LIST_TAG, XML_INGREDIENT_TAG, XML_LASTNAME_TAG, XML_NAME_TAG, XML_ORDER_TAG, XML_PERSONAL_PIZZA_TAG, XML_PRICE_TAG, XML_ROOT_TAG, XML_SIZE_TAG, XML_TOWN_TAG, XML_ZIP_TAG`

Constructor Summary
`XMLOrderBuilder()`

Method Summary
`org.w3c.dom.Document` | `createXMLOrder(Order order)` Build a new DOM containing all important information of a given order
`java.lang.String` | `generateXMLString(org.w3c.dom.Node node, java.lang.String prefix)` create XML output string
`void` | `writeOut(org.w3c.dom.Node node, java.lang.String prefix)` create output for a XML node

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### XMLOrderBuilder

    public XMLOrderBuilder()

Method Detail

### createXMLOrder

    public org.w3c.dom.Document createXMLOrder(Order order)

  Build a new DOM containing all important information of a given order
  Parameters:
    `order` - order, to be represented
  Returns:
    new DOM document

### generateXMLString

    public java.lang.String generateXMLString(org.w3c.dom.Node node,
                                              java.lang.String prefix)

  create XML output string
  Parameters:
    `node` - xml node
    `prefix` - prefix for formatted output

### writeOut

    public void writeOut(org.w3c.dom.Node node,
                         java.lang.String prefix)

  create output for a XML node
  Parameters:
    `node` - xml node
    `prefix` - prefix for formatted output

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~